package no.valg.valgnatt.database.geografi;

import org.junit.Assert;
import org.junit.Test;

import java.util.Map;
import java.util.TreeMap;

public class LandsdelTest {
    @Test
    public void getRapportnavn_Alltid_Null() throws Exception {
        Assert.assertEquals(null, (new Strata()).getRapportid());
    }

    @Test
    public void getAntallMandater_Alltid_0() throws Exception {
        Assert.assertEquals(0, (new Strata()).getAntallMandater());
    }

    @Test
    public void leggTilId() throws Exception {
        Strata landsdel = new Strata();
        landsdel.setNr("19");
        landsdel.leggTilId("20");
        Assert.assertEquals("1920", landsdel.getNr());
    }

    @Test
    public void leggTilKommuner() throws Exception {
        Map<String, Kommune> kommuner = new TreeMap<>();
        kommuner.put("0228", new Kommune("0228", "Rælingen", true, true));
        kommuner.put("0229", new Kommune("0229", "Enebakk",true, true));
        Strata landsdel = new Strata();
        landsdel.leggTilKommuner(kommuner);
        Assert.assertEquals(2, landsdel.getKommuner().size());
    }

}
